[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonApplication.InstallDaemons

Install all daemons.

## Declaration

Source position: daemonapp.pp line 371

`public procedure TCustomDaemonApplication.InstallDaemons;`

## Description

InstallDaemons installs all known daemons, i.e. registers them with the service manager on Windows. This method is called if the application is run with the -i or --install or /install command-line option.

## See also

TCustomDaemonApplication.UnInstallDaemons |  | Uninstall all daemons
TCustomDaemonApplication.RunDaemons |  | Run all daemons.
TCustomDaemonApplication.StopDaemons |  | Stop all daemons

Documentation generated on: Feb 26 2014